"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _About = _interopRequireDefault(require("../sections/About"));

var _LogoutIndicatorContainer = _interopRequireDefault(require("../../containers/login/LogoutIndicatorContainer"));

var _LoginPage = _interopRequireDefault(require("../../../styles/cspace-ui/LoginPage.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const propTypes = {
  history: _propTypes.default.object.isRequired,
  logout: _propTypes.default.func,
  resetLogin: _propTypes.default.func
};

class LogoutPage extends _react.Component {
  constructor(props) {
    super(props);
    this.onSuccess = this.onSuccess.bind(this);
  }

  componentDidMount() {
    const {
      logout
    } = this.props;

    if (logout) {
      logout();
    }
  }

  onSuccess() {
    const {
      history,
      resetLogin
    } = this.props;

    if (resetLogin) {
      resetLogin();
    }

    history.replace('/login');
  }

  render() {
    return _react.default.createElement("div", {
      className: _LoginPage.default.common
    }, _react.default.createElement("div", {
      className: _LoginPage.default.about
    }, _react.default.createElement(_About.default, null)), _react.default.createElement("div", {
      className: _LoginPage.default.login
    }, _react.default.createElement(_LogoutIndicatorContainer.default, {
      onSuccess: this.onSuccess
    })));
  }

}

exports.default = LogoutPage;
LogoutPage.propTypes = propTypes;