"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MiniViewPopup;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _cspaceLayout = require("cspace-layout");

var _MiniViewContainer = _interopRequireDefault(require("../../containers/record/MiniViewContainer"));

var _MiniView = _interopRequireDefault(require("./MiniView"));

var _MiniViewPopup = _interopRequireDefault(require("../../../styles/cspace-ui/MiniViewPopup.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const propTypes = _objectSpread({}, _cspaceLayout.Popup.propTypes, {}, _MiniView.default.propTypes, {
  style: _propTypes.default.object,
  domRef: _propTypes.default.func
});

function MiniViewPopup(props) {
  const {
    onMouseEnter,
    style,
    domRef
  } = props,
        remainingProps = _objectWithoutProperties(props, ["onMouseEnter", "style", "domRef"]);

  return _react.default.createElement("div", {
    className: _MiniViewPopup.default.common,
    ref: domRef,
    style: style,
    onMouseEnter: onMouseEnter
  }, _react.default.createElement(_cspaceLayout.Popup, null, _react.default.createElement(_MiniViewContainer.default, remainingProps)));
}

MiniViewPopup.propTypes = propTypes;