"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactRedux = require("react-redux");

var _ProtectedRoute = _interopRequireDefault(require("../../components/routes/ProtectedRoute"));

var _reducers = require("../../reducers");

var _login = require("../../actions/login");

var _notification = require("../../actions/notification");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mapStateToProps = state => ({
  openModalName: (0, _reducers.getOpenModalName)(state),
  perms: (0, _reducers.getUserPerms)(state),
  username: (0, _reducers.getUserUsername)(state),
  userPrefsLoaded: (0, _reducers.areUserPrefsLoaded)(state),
  screenName: (0, _reducers.getUserScreenName)(state)
});

const mapDispatchToProps = {
  closeModal: _notification.closeModal,
  resetLogin: _login.resetLogin
};

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_ProtectedRoute.default);

exports.default = _default;