"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    formatRefName,
    formatTimestamp
  } = configContext.formatHelpers;
  return {
    default: {
      entryNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.intake.default.entryNumber",
            "defaultMessage": "Entry number"
          }
        }),
        order: 10,
        sortBy: 'intakes_common:entryNumber',
        width: 200
      },
      currentOwner: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.intake.default.currentOwner",
            "defaultMessage": "Current owner"
          }
        }),
        order: 20,
        sortBy: 'intakes_common:currentOwner',
        width: 450
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.intake.default.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};

exports.default = _default;